Bug 873242 - pykickstart adds extra data to kickstarts
pykickstart adds extra data to kickstarts
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-05 07:31 EST by Daniel Mach
Modified: 2012-12-06 02:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-06 02:26:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2012-11-05 07:31:57 EST
Reproducer:
#!/usr/bin/python

from pykickstart.parser import *
from pykickstart.handlers.f18 import *

ks = KickstartParser(F18Handler())
ks.readKickstartFromString("""
%packages
foo
%end
""")

print(str(ks.handler))


Output:
#version=DEVEL
# System timezone
timezone 
# Installation logging level
logging --level=info

%packages
foo

%end


Please note that extra data was added to the kickstart.
If I want to use pykickstart to modify only %packages section while keeping the rest of the file exactly the same, there's no way how to do it.

Could you fix pykickstart to work only as a kickstart parser/writer without doing any product specific magic?
Comment 1 Chris Lumens 2012-11-12 11:32:34 EST
Okay, I've taken care of timezone (which was a straight-up bug) and logging.  The extra blank lines in there I'm not really concerned with, and the version comment is useful to system-config-kickstart so it needs to stay.
Comment 2 Fedora Update System 2012-11-28 20:24:32 EST
anaconda-18.32-1.fc18, pykickstart-1.99.22-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pykickstart-1.99.22-1.fc18,anaconda-18.32-1.fc18
Comment 3 Fedora Update System 2012-11-30 01:39:15 EST
Package anaconda-18.32-1.fc18, pykickstart-1.99.22-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.32-1.fc18 pykickstart-1.99.22-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19380/pykickstart-1.99.22-1.fc18,anaconda-18.32-1.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-02 14:26:07 EST
Package pykickstart-1.99.22-1.fc18, anaconda-18.34-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pykickstart-1.99.22-1.fc18 anaconda-18.34-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19380/pykickstart-1.99.22-1.fc18,anaconda-18.34-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-05 18:11:14 EST
Package pykickstart-1.99.22-1.fc18, anaconda-18.35-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pykickstart-1.99.22-1.fc18 anaconda-18.35-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19380/pykickstart-1.99.22-1.fc18,anaconda-18.35-1.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-12-06 02:26:34 EST
pykickstart-1.99.22-1.fc18, anaconda-18.35-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.